libstdc++

Classes | Namespaces | Typedefs | Enumerations | Functions | Variables
regex_nfa.h File Reference

Go to the source code of this file.

## Classes

class | std::__detail::_Automaton
| Base class for, um, automata. Could be an NFA or a DFA. Your choice. More...
struct | std::__detail::_CharMatcher< _InIterT, _TraitsT >
| Matches a single character. More...
struct | std::__detail::_EndTagger< _FwdIterT, _TraitsT >
| End state tag. More...
class | std::__detail::_Nfa
| struct _Nfa More...
struct | std::__detail::_RangeMatcher< _InIterT, _TraitsT >
| Matches a character range (bracket expression) More...
struct | std::__detail::_Results
| Provides a generic facade for a templated match_results. More...
struct | std::__detail::_StartTagger< _FwdIterT, _TraitsT >
| Start state tag. More...
struct | std::__detail::_State
| struct _State More...
class | std::__detail::_StateSeq
| Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction. More...

## Namespaces

namespace | std
namespace | std::__detail

## Typedefs

typedef std::shared_ptr < _Automaton > | std::__detail::_AutomatonPtr
typedef std::function< bool(const _PatternCursor &)> | std::__detail::_Matcher
typedef int | std::__detail::_StateIdT
typedef std::set< _StateIdT > | std::__detail::_StateSet
typedef std::function< void(const _PatternCursor &, _Results &)> | std::__detail::_Tagger

## Enumerations

enum | std::__detail::_Opcode { _S_opcode_unknown, _S_opcode_alternative, _S_opcode_subexpr_begin, _S_opcode_subexpr_end, _S_opcode_match, _S_opcode_accept }

## Functions

bool | std::__detail::_AnyMatcher (const _PatternCursor &)

## Variables

static const _StateIdT | std::__detail::_S_invalid_state_id

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_nfa.h.